Skip to content

Add IMEI to the Order ​

http
PUT /api/v3/dbw/orders/{orderId}/meta/imei

Base URL: https://marketplace-api.wildberries.ru · Module: orders-dbw · Section: DBW Label Identifiers · Specification doc ↗

Sets the IMEI for the assembly orders label identifiers. The assembly order can have only one IMEI. If a device has two IMEIs — **IMEI** and **IMEI2** or **IMEI1** and **IMEI2** — you should only specify **IMEI** or **IMEI1**. You don't need to specify **IMEI2**. You can add the IMEI only for assembly orders in the confirm status, and if the field imei is returned in the response of the Get Order Label Identifiers method.

Request limit per one seller account for all methods for adding DBW label identifiers:

PeriodLimitIntervalBurst
1 min1000 requests60 ms20 requests
One request with 4XX response codes is counted as 10 requests

Request body ​

application/json — schema object, required

  • imei string (required) — IMEI

Responses ​

CodeDescriptionSchema
204Updated—
400Bad requestError
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
404The resource is not foundError
409Label identifiers update errorError
429Too many requestsobject

Structure 400:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 404:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 409:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_dbw import Configuration, ApiClient
from wb_api_client.orders_dbw.api import OrdersDbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersDbwApi(ApiClient(cfg))

result = api.put_v3_dbw_orders_order_id_meta_imei(order_id=..., put_v3_dbw_orders_order_id_meta_imei_request=...)
print(result)
ts
import {
  Configuration,
  OrdersDbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-dbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersDbwApi(cfg);

const { data } = await api.putV3DbwOrdersOrderIdMetaImei(orderId, putV3DbwOrdersOrderIdMetaImeiRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersdbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_dbw"
)

cfg := wbordersdbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersdbw.NewAPIClient(cfg)

result, _, err := client.OrdersDbwAPI.PutV3DbwOrdersOrderIdMetaImei(context.Background(), orderId).PutV3DbwOrdersOrderIdMetaImeiRequest(putV3DbwOrdersOrderIdMetaImeiRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_dbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_dbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_dbw.api.OrdersDbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersDbwApi api = new OrdersDbwApi(client);

System.out.println(api.putV3DbwOrdersOrderIdMetaImei(orderId, putV3DbwOrdersOrderIdMetaImeiRequest));
php
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Api\OrdersDbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersDbwApi(new Client(), $config);

print_r($api->putV3DbwOrdersOrderIdMetaImei($order_id, $put_v3_dbw_orders_order_id_meta_imei_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersDbwApi(Настройки);

Сообщить(Клиент.PutV3DbwOrdersOrderIdMetaImei(orderId, Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersDbwApi(config);

Console.WriteLine(api.PutV3DbwOrdersOrderIdMetaImei(orderId, putV3DbwOrdersOrderIdMetaImeiRequest));
rust
use wb_api_client::orders_dbw::apis::{configuration::Configuration, orders_dbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_dbw_api::put_v3_dbw_orders_order_id_meta_imei(&cfg, order_id, put_v3_dbw_orders_order_id_meta_imei_request).await;
    println!("{:#?}", result);
}